﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace ComboBoxBindingDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            //setting the Data Binding
            c1ComboBox1.ItemsDataSource = GetDataSource();
            c1ComboBox1.ItemsValueMember = "Id";
            c1ComboBox1.ItemsDisplayMember = "Name";
            //use TextDetached instead of TranslateValue
            c1ComboBox1.TextDetached = true;

            //handling this event just to update the labels
            c1ComboBox1.SelectedIndexChanged += C1ComboBox1_SelectedIndexChanged;
        }

        private void C1ComboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            label3.Text = c1ComboBox1.Text;
            label4.Text = c1ComboBox1.Value.ToString();
        }


        /// <summary>
        /// Returns Sample Data For the C1ComboBox
        /// </summary
        private List<Country> GetDataSource()
        {
            List<Country> list = new List<Country>
            {
                new Country() { Id = 1, Name = "United States" },
                new Country() { Id = 2, Name = "China" },
                new Country() { Id = 3, Name = "Japan" },
                new Country() { Id = 4, Name = "Germany" },
                new Country() { Id = 5, Name = "India" }
            };

            return list;
        }
    }

    /// <summary>
    /// Represents an item of the C1ComboBox
    /// </summary>
    public class Country
    {
        public string Name { get; set; }

        public int Id { get; set; }
    }
}
